Api reference
Restaurant
Path Parameters
phone*string
Restaurant phone number
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/restaurant/string"{ "success": true, "data": { "name": "string", "location": "string", "phone": "string", "email": "[email protected]", "password": "string", "open_time": "string", "close_time": "string", "active": true, "status": "active", "mid": "string", "token": "string", "twilioSid": "string", "twilioAuth": "string", "skipTwilioValidation": false, "additional_info": "string", "blockedCallers": [ "string" ], "customFaqs": [ { "question": "string", "answer": "string" } ], "topMenuItems": [ 0 ], "onboarded": false, "workflowId": 0, "workflowConfig": { "property1": null, "property2": null }, "agentName": "string", "id": 1, "createdAt": "string", "updatedAt": "string" }}curl -X GET "https://example.com/api/restaurant"{ "success": true, "data": [ { "name": "string", "location": "string", "phone": "string", "email": "[email protected]", "password": "string", "open_time": "string", "close_time": "string", "active": true, "status": "active", "mid": "string", "token": "string", "twilioSid": "string", "twilioAuth": "string", "skipTwilioValidation": false, "additional_info": "string", "blockedCallers": [ "string" ], "customFaqs": [ { "question": "string", "answer": "string" } ], "topMenuItems": [ 0 ], "onboarded": false, "workflowId": 0, "workflowConfig": { "property1": null, "property2": null }, "agentName": "string", "id": 1, "createdAt": "string", "updatedAt": "string" } ]}Authorization
bearerAuth AuthorizationBearer <token>
In: header
Response Body
application/json
application/json
curl -X GET "https://example.com/api/fetch-restaurant"{ "success": true, "restaurant": { "name": "string", "location": "string", "phone": "string", "email": "[email protected]", "password": "string", "open_time": "string", "close_time": "string", "active": true, "status": "active", "mid": "string", "token": "string", "twilioSid": "string", "twilioAuth": "string", "skipTwilioValidation": false, "additional_info": "string", "blockedCallers": [ "string" ], "customFaqs": [ { "question": "string", "answer": "string" } ], "topMenuItems": [ 0 ], "onboarded": false, "workflowId": 0, "workflowConfig": { "property1": null, "property2": null }, "agentName": "string" }}Authorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/create-restaurant" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "location": "string", "email": "[email protected]", "password": "string" }'{ "success": true, "restaurant": { "name": "string", "location": "string", "phone": "string", "email": "[email protected]", "password": "string", "open_time": "string", "close_time": "string", "active": true, "status": "active", "mid": "string", "token": "string", "twilioSid": "string", "twilioAuth": "string", "skipTwilioValidation": false, "additional_info": "string", "blockedCallers": [ "string" ], "customFaqs": [ { "question": "string", "answer": "string" } ], "topMenuItems": [ 0 ], "onboarded": false, "workflowId": 0, "workflowConfig": { "property1": null, "property2": null }, "agentName": "string" }}Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*number
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PUT "https://example.com/api/update-restaurant/0" \ -H "Content-Type: application/json" \ -d '{}'{ "success": true, "restaurant": { "name": "string", "location": "string", "phone": "string", "email": "[email protected]", "password": "string", "open_time": "string", "close_time": "string", "active": true, "status": "active", "mid": "string", "token": "string", "twilioSid": "string", "twilioAuth": "string", "skipTwilioValidation": false, "additional_info": "string", "blockedCallers": [ "string" ], "customFaqs": [ { "question": "string", "answer": "string" } ], "topMenuItems": [ 0 ], "onboarded": false, "workflowId": 0, "workflowConfig": { "property1": null, "property2": null }, "agentName": "string" }}Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*number
Response Body
application/json
application/json
curl -X DELETE "https://example.com/api/delete-restaurant/0"{ "success": true, "message": "string"}Authorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/delete-restaurant/bulk" \ -H "Content-Type: application/json" \ -d '{ "ids": [ 0 ] }'{ "success": true, "message": "string"}